# Webhook changes for simulation

We have added the ability to simulate (pre-defined successful) user’s status and to proceed for completing the user verification process ( for KYC and IDV) on the test environments (DEV, Staging, Sandbox, UAT). Below you can find respective webhook changes - the new fields in USER\_STATUS\_CHANGE & KYC\_RESULT webhooks.

Changes in USER\_STATUS\_CHANGE webhook - new "note" field:

```
// { 
"event": "USER_STATUS_CHANGE", 
"user_id": "muhaysaaduser18JAN23", 
"old_status": "PENDINGKYC", 
"old_status_reason_code": "I0", 
"new_status": "ACTIVE", 
"new_status_reason_code": "A0", 
"user_type": "INDIVIDUAL", 
"note": "service.kyc.simulation", 
"created": "2023-01-18T11:55:23.976Z" 
} 
```

Changes in KYC\_RESULT webhook - new "status\_description" field:

```
// { 
"event": "KYC_RESULT", 
"kyc_policy": "UAE_INDIVIDUAL_PRIMARY", 
"kyc_id": "performkyca18JAN2301", 
"user_id": "muhaysaaduser18JAN23", 
"note": "Some note", 
"old_status": "SUBMITTED", 
"status": "PASS", 
"status_code": "P0", 
"status_description": "service.kyc.simulation", 
"created": "2023-01-18T11:55:23.840Z", 
"modified": "2023-01-18T11:55:23.946Z" 
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nymcard.com/get-started/webhooks/webhook-changes-for-simulation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
